/*
Here we are some commons methods ready to use by services,,,
validate register, check post params with the correct schema validator,,,
 */
var validator = require('./validator');
const ValidationError = require('../errors/validationError');

function validateRegister(register, schema, callback) {
	var result = validator.validate(register, schema.schema);
	if(result.valid) return callback(null, register);

	const error = new ValidationError(result.errors);
	return callback(error, null);
}
module.exports.validateSchema = validateRegister;
exports.ValidationError = ValidationError;
